> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn/yarn.command.md).

# Command

Struct in [Yarn](/api/csharp/yarn.md)

Inherits from `System.ValueType`

## Summary

A command, sent from the [Dialogue](/api/csharp/yarn/yarn.dialogue.md) to the game.

```csharp
public struct Command
```

## Remarks

You do not create instances of this struct yourself. They are created by the [Dialogue](/api/csharp/yarn/yarn.dialogue.md) during program execution.

## Properties

| Name                                                       | Description                   |
| ---------------------------------------------------------- | ----------------------------- |
| [Text](/api/csharp/yarn/yarn.command/yarn.command.text.md) | Gets the text of the command. |

## See Also

* [Dialogue.CommandHandler](/api/csharp/yarn/yarn.dialogue/yarn.dialogue.commandhandler.md): Gets or sets the [CommandHandler](/api/csharp/yarn/yarn.commandhandler.md) that is called when a command is to be delivered to the game.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
